#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version}|cut -d. -f1,2)

%define rel 1

Name:           purpose
Version: 6.12.0
Release:        %mkrel %{rel}
Summary:        Provides abstractions to get the developer's purposes fulfilled
License:        LGPLv2+
Group:          System/Base
Url:            https://kde.org
Source:         https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz
## Upstream patches

BuildRequires:  kf6-rpm-macros

# Qt6 BuildRequires
BuildRequires:  cmake(Qt6Concurrent) >= 6.6
BuildRequires:  cmake(Qt6Core) >= 6.6
BuildRequires:  cmake(Qt6Qml) >= 6.6
BuildRequires:  cmake(Qt6Gui) >= 6.6
BuildRequires:  cmake(Qt6DBus) >= 6.6
BuildRequires:  cmake(Qt6Widgets) >= 6.6
BuildRequires:  cmake(Qt6Network) >= 6.6
BuildRequires:  cmake(Qt6Test) >= 6.6

# KDE Framework BuildRequires
BuildRequires:  cmake(KF6CoreAddons) >= %version
BuildRequires:  cmake(KF6Config) >= %version
BuildRequires:  cmake(KF6I18n) >= %version
BuildRequires:  cmake(KF6KIO) >= %version
BuildRequires:  cmake(KF6Notifications) >= %version
BuildRequires:  cmake(KF6Kirigami2) >= %version
BuildRequires:  cmake(KF6Prison)

BuildRequires:  cmake(KAccounts6)

BuildRequires:  intltool
# runtime dep?
#BuildRequires:  kdeconnect-kde
BuildRequires:  kdeclarative
BuildRequires:  accounts-qml-module

Requires:       accounts-qml-module
Requires:       kdeclarative
Requires:       kirigami
Requires:       prison

%description
Framework for providing abstractions to get the developer's purposes fulfilled.

%files -f %{name}.lang
%doc README.md
%{_kf6_categoriesdir}/purpose.*categories
%{_kf6_libexecdir}/purposeprocess
%{_kf6_plugindir}/%{name}/
%{_kf6_datadir}/kf6/%{name}/
%{_kf6_plugindir}/kfileitemaction/sharefileitemaction.so
%{_kf6_qmldir}/org/kde/%{name}/
%{_kf6_iconsdir}/*/*/*/*
%_kf6_datadir/accounts/services/kde/google-youtube.service
%_kf6_datadir/accounts/services/kde/nextcloud-upload.service

#--------------------------------------------------------------------

%define purpose_major 6
%define libpurpose %mklibname kf6purpose %{purpose_major}

%package -n %libpurpose
Summary:        Provides abstractions to get the developer's purposes fulfilled
Group:          System/Libraries

%description -n %libpurpose
Provides abstractions to get the developer's purposes fulfilled.

%files -n %libpurpose
%{_kf6_libdir}/libKF6Purpose.so.%{purpose_major}
%{_kf6_libdir}/libKF6Purpose.so.%{version}

#--------------------------------------------------------------------

%define purposewidgets_major 6
%define libpurposewidgets %mklibname kf6purposewidgets %{purposewidgets_major}

%package -n %libpurposewidgets
Summary:        Provides abstractions to get the developer's purposes fulfilled
Group:          System/Libraries

%description -n %libpurposewidgets
Provides abstractions to get the developer's purposes fulfilled.

%files -n %libpurposewidgets
%{_kf6_libdir}/libKF6PurposeWidgets.so.%{purposewidgets_major}
%{_kf6_libdir}/libKF6PurposeWidgets.so.%{version}

#--------------------------------------------------------------------

%define develname %mklibname kf6purpose -d

%package -n %develname
Summary:        Provides abstractions to get the developer's purposes fulfilled: Build Environment
Group:          Development/KDE and Qt
Requires:       %{libpurpose} = %{version}
Requires:       %{libpurposewidgets} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       kf6%{name}-devel = %{version}-%{release}

%description -n %develname
Framework for providing abstractions to get the developer's purposes fulfilled.
Development files.

%files -n %develname
%{_kf6_libdir}/libKF6Purpose.so
%{_kf6_libdir}/libKF6PurposeWidgets.so
%{_kf6_libdir}/cmake/KF6Purpose/
%{_kf6_includedir}/*

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name


%changelog
* Sat Mar 15 2025 daviddavid <daviddavid> 6.12.0-1.mga10
+ Revision: 2164170
- New version 6.12.0

* Thu Jan 09 2025 daviddavid <daviddavid> 6.10.0-1.mga10
+ Revision: 2136433
- New version 6.10.0

* Fri Dec 20 2024 daviddavid <daviddavid> 6.9.0-1.mga10
+ Revision: 2126618
- New version 6.9.0

* Sat Nov 09 2024 daviddavid <daviddavid> 6.8.0-1.mga10
+ Revision: 2113120
- New version 6.8.0

* Fri Oct 11 2024 daviddavid <daviddavid> 6.7.0-1.mga10
+ Revision: 2104801
- New version 6.7.0

* Sat Sep 14 2024 daviddavid <daviddavid> 6.6.0-1.mga10
+ Revision: 2095961
- New version 6.6.0

* Fri Aug 09 2024 daviddavid <daviddavid> 6.5.0-1.mga10
+ Revision: 2084411
- New version 6.5.0

* Fri Jun 07 2024 daviddavid <daviddavid> 6.3.0-1.mga10
+ Revision: 2070574
- New version 6.3.0

* Sat May 11 2024 daviddavid <daviddavid> 6.2.0-1.mga10
+ Revision: 2063433
- New version 6.2.0

* Sat Apr 13 2024 daviddavid <daviddavid> 6.1.0-1.mga10
+ Revision: 2056868
- New version 6.1.0

* Wed Feb 28 2024 neoclust <neoclust> 6.0.0-1.mga10
+ Revision: 2044962
- New version 6.0.0

* Wed Feb 07 2024 neoclust <neoclust> 5.249.0-1.mga10
+ Revision: 2038258
- New version 5.249.0

* Thu Jan 11 2024 neoclust <neoclust> 5.248.0-1.mga10
+ Revision: 2030154
- New version 5.248.0

* Mon Jan 01 2024 neoclust <neoclust> 5.247.0-1.mga10
+ Revision: 2025649
- New version 5.247.0
- New version 5.246.0

* Sat Nov 11 2023 neoclust <neoclust> 5.245.0-1.mga10
+ Revision: 2006054
- New version 5.245.0

* Thu Oct 19 2023 daviddavid <daviddavid> 5.111.0-1.mga10
+ Revision: 1999006
- New version 5.111.0

* Sun Sep 17 2023 daviddavid <daviddavid> 5.110.0-1.mga10
+ Revision: 1987399
- New version 5.110.0

* Mon Apr 10 2023 neoclust <neoclust> 5.105.0-1.mga9
+ Revision: 1952096
- New version 5.105.0

* Mon Mar 06 2023 neoclust <neoclust> 5.104.0-1.mga9
+ Revision: 1947890
- New version 5.104.0

* Mon Feb 13 2023 neoclust <neoclust> 5.103.0-1.mga9
+ Revision: 1941397
- New version 5.103.0

* Mon Jan 23 2023 neoclust <neoclust> 5.102.0-1.mga9
+ Revision: 1935046
- New version 5.102.0

* Wed Dec 14 2022 daviddavid <daviddavid> 5.101.0-1.mga9
+ Revision: 1922297
- New version 5.101.0

* Mon Nov 28 2022 daviddavid <daviddavid> 5.100.0-2.mga9
+ Revision: 1912135
- add missing runtime dependency on prison

* Sun Nov 27 2022 neoclust <neoclust> 5.100.0-1.mga9
+ Revision: 1911665
- New version 5.100.0

* Sun Oct 30 2022 neoclust <neoclust> 5.99.0-1.mga9
+ Revision: 1900268
- New version 5.99.0

* Wed Sep 14 2022 neoclust <neoclust> 5.98.0-1.mga9
+ Revision: 1888057
- New version 5.98.0

* Fri Aug 26 2022 neoclust <neoclust> 5.97.0-1.mga9
+ Revision: 1880647
- New version 5.97.0

* Tue Jul 26 2022 neoclust <neoclust> 5.96.0-1.mga9
+ Revision: 1871747
- New version 5.96.0

* Tue Apr 26 2022 neoclust <neoclust> 5.93.0-1.mga9
+ Revision: 1853845
- New version 5.93.0

* Thu Mar 31 2022 neoclust <neoclust> 5.92.0-1.mga9
+ Revision: 1837362
- New version 5.92.0

* Mon Nov 08 2021 neoclust <neoclust> 5.88.0-1.mga9
+ Revision: 1754875
- New version 5.88.0
- New version 5.87.0
- New version 5.86.0

* Fri Jul 09 2021 neoclust <neoclust> 5.84.0-1.mga9
+ Revision: 1735309
- New version 5.84.0

* Sat May 15 2021 daviddavid <daviddavid> 5.82.0-1.mga9
+ Revision: 1723505
- New version 5.82.0

* Mon Apr 12 2021 daviddavid <daviddavid> 5.81.0-1.mga9
+ Revision: 1714897
- New version 5.81.0

* Sat Mar 13 2021 daviddavid <daviddavid> 5.80.0-1.mga9
+ Revision: 1702073
- New version 5.80.0

* Sat Feb 27 2021 neoclust <neoclust> 5.79.0-1.mga9
+ Revision: 1692518
- New version 5.79.0

* Sun Dec 06 2020 daviddavid <daviddavid> 5.76.0-1.mga8
+ Revision: 1653382
- New version 5.76.0

* Mon Nov 23 2020 daviddavid <daviddavid> 5.75.0-3.mga8
+ Revision: 1648594
- add upstream patch to read translated plugin action label (mga#27361)

* Wed Nov 11 2020 joequant <joequant> 5.75.0-2.mga8
+ Revision: 1644650
- rebuild to fix build break qca-qt5

* Sun Oct 11 2020 daviddavid <daviddavid> 5.75.0-1.mga8
+ Revision: 1633232
- New version 5.75.0

* Mon Sep 14 2020 daviddavid <daviddavid> 5.74.0-1.mga8
+ Revision: 1626489
- New version 5.74.0

* Mon Aug 10 2020 daviddavid <daviddavid> 5.73.0-1.mga8
+ Revision: 1612959
- New version 5.73.0

* Tue Jul 14 2020 daviddavid <daviddavid> 5.72.0-2.mga8
+ Revision: 1605848
- rebuild for new kaccounts-integration

* Wed Jul 08 2020 neoclust <neoclust> 5.72.0-1.mga8
+ Revision: 1603139
- New version 5.72.0

* Fri Jun 12 2020 neoclust <neoclust> 5.71.0-1.mga8
+ Revision: 1592831
- New version 5.71.0

* Sat May 09 2020 daviddavid <daviddavid> 5.70.0-1.mga8
+ Revision: 1582057
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 5.69.0-1.mga8
+ Revision: 1566548
- New version 5.69.0
+ danf <danf>
- Switch URLs from http: to https:

* Mon Mar 16 2020 daviddavid <daviddavid> 5.68.0-1.mga8
+ Revision: 1557095
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 5.67.0-2.mga8
+ Revision: 1546948
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 neoclust <neoclust> 5.67.0-1.mga8
+ Revision: 1486861
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Fri Dec 13 2019 neoclust <neoclust> 5.65.0-1.mga8
+ Revision: 1466272
- New version 5.65.0

* Mon Nov 04 2019 neoclust <neoclust> 5.64.0-1.mga8
+ Revision: 1457662
- New version 5.64.0

* Thu Oct 10 2019 neoclust <neoclust> 5.63.0-1.mga8
+ Revision: 1451037
- New version 5.63.0

* Mon Sep 23 2019 neoclust <neoclust> 5.62.0-1.mga8
+ Revision: 1444849
- New version 5.62.0

* Fri Jul 12 2019 neoclust <neoclust> 5.60.0-1.mga8
+ Revision: 1420726
- New version 5.60.0

* Mon Apr 08 2019 neoclust <neoclust> 5.57.0-1.mga7
+ Revision: 1386986
- New version 5.57.0

* Mon Apr 01 2019 umeabot <umeabot> 5.56.0-3.mga7
+ Revision: 1384090
- Qt5 Rebuild

* Wed Mar 13 2019 daviddavid <daviddavid> 5.56.0-2.mga7
+ Revision: 1375328
- enable KF5Notifications support

* Wed Mar 13 2019 neoclust <neoclust> 5.56.0-1.mga7
+ Revision: 1375317
- New version 5.56.0

* Sat Feb 09 2019 neoclust <neoclust> 5.55.0-1.mga7
+ Revision: 1364579
- New version 5.55.0

* Mon Jan 14 2019 neoclust <neoclust> 5.54.0-1.mga7
+ Revision: 1356709
- New version 5.54.0

* Sun Dec 09 2018 neoclust <neoclust> 5.53.0-1.mga7
+ Revision: 1339258
- New version 5.53.0

* Tue Oct 09 2018 neoclust <neoclust> 5.51.0-1.mga7
+ Revision: 1319005
- New version 5.51.0
- New version 5.50.0

* Sun Sep 23 2018 umeabot <umeabot> 5.49.0-2.mga7
+ Revision: 1300413
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 neoclust <neoclust> 5.49.0-1.mga7
+ Revision: 1249756
- New version 5.49.0

* Mon May 21 2018 daviddavid <daviddavid> 5.46.0-1.mga7
+ Revision: 1231043
- New version: 5.43.0 (purpose is now part of the KDE frameworks 5 stack)
+ neoclust <neoclust>
- New version 5.46.0
- New version 5.46.0

* Wed Nov 01 2017 daviddavid <daviddavid> 1.2.1-1.mga7
+ Revision: 1175336
- new version: 1.2.1

* Thu Mar 16 2017 neoclust <neoclust> 1.1-2.mga6
+ Revision: 1093075
- Do not install kipiplugin icons, it conflicts with kipi-plugins-youtube

* Sat Feb 18 2017 daviddavid <daviddavid> 1.1-1.mga6
+ Revision: 1086709
- new version: 1.1
- fix devel pkg name

* Sun Jul 24 2016 daviddavid <daviddavid> 1.0-1.mga6
+ Revision: 1043496
- new version: 1.0 (Final)
- remove merged upstream patch
- switch Kf5 BRs to cmake()

* Tue Feb 16 2016 umeabot <umeabot> 1.0~rc1-2.mga6
+ Revision: 962174
- Mageia 6 Mass Rebuild

* Mon Sep 07 2015 fwang <fwang> 1.0~rc1-1.mga6
+ Revision: 873823
- update file list
- br intltool
- fix accounts develname
- add description
- adopt to mageia style
- import from opensuse


* Tue Aug 18 2015 hrvoje.senjan@gmail.com
- Install license
* Mon Aug 17 2015 hrvoje.senjan@gmail.com
- Don't ship reviewboard icon, it's delivered with kdevplatform
* Sun Aug  9 2015 hrvoje.senjan@gmail.com
- Activate purpose package
